import request from '@/utils/request'

// 查询题库问题列表
export function listBusExamQuestionResult(query) {
  return request({
    url: '/manage/busExamQuestionResult/list',
    method: 'get',
    params: query
  })
}

// 查询题库问题详细
export function getBusExamQuestionResult(id) {
  return request({
    url: '/manage/busExamQuestionResult/' + id,
    method: 'get'
  })
}

// 新增题库问题
export function addBusExamQuestionResult(data) {
  return request({
    url: '/manage/busExamQuestionResult',
    method: 'post',
    data: data
  })
}

// 修改题库问题
export function updateBusExamQuestionResult(data) {
  return request({
    url: '/manage/busExamQuestionResult',
    method: 'put',
    data: data
  })
}

// 删除题库问题
export function delBusExamQuestionResult(id) {
  return request({
    url: '/manage/busExamQuestionResult/' + id,
    method: 'delete'
  })
}
